package com.jasamedika.medifirst2000.vo;

import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * @author salmanoe
 * @since Jul 6, 2022
 *
 */
public class PenilaianKinerjaDetailVO extends BaseTransactionVO {
	
	private static final long serialVersionUID = 719673316750341385L;

	@Caption("Penilaian Kinerja")
	@NotNull(message = "Penilaian kinerja wajib diisi")
	private PenilaianKinerjaVO penilaianKinerja;

	private String penilaianKinerjaId;

	@Caption("Jenis Indikator")
	@NotNull(message = "Jenis indikator wajib diisi")
	private Short jenisIndikatorId;

	@Caption("Indikator Kinerja")
	@NotNull(message = "Indikator kinerja wajib diisi")
	private IndikatorKinerjaVO indikatorKinerja;

	private Integer indikatorKinerjaId;

	@Caption("Bobot")
	@NotNull(message = "Bobot wajib diisi")
	private Integer bobot;

	@Caption("Target")
	@NotNull(message = "Target wajib diisi")
	private Double target;

	@Caption("Realisasi")
	@NotNull(message = "Realisasi wajib diisi")
	private Double realisasi;

	@Caption("Satuan")
	@NotNull(message = "Satuan wajib diisi")
	private SatuanIndikatorVO satuan;

	private Integer satuanId;

	@Caption("Nilai")
	@NotNull(message = "Nilai wajib diisi")
	private Double nilai;

	@Caption("Hasil")
	@NotNull(message = "Hasil wajib diisi")
	private Double hasil;

	public PenilaianKinerjaVO getPenilaianKinerja() {
		return penilaianKinerja;
	}

	public void setPenilaianKinerja(PenilaianKinerjaVO penilaianKinerja) {
		this.penilaianKinerja = penilaianKinerja;
	}

	public String getPenilaianKinerjaId() {
		return penilaianKinerjaId;
	}

	public void setPenilaianKinerjaId(String penilaianKinerjaId) {
		this.penilaianKinerjaId = penilaianKinerjaId;
	}

	public Short getJenisIndikatorId() {
		return jenisIndikatorId;
	}

	public void setJenisIndikatorId(Short jenisIndikatorId) {
		this.jenisIndikatorId = jenisIndikatorId;
	}

	public IndikatorKinerjaVO getIndikatorKinerja() {
		return indikatorKinerja;
	}

	public void setIndikatorKinerja(IndikatorKinerjaVO indikatorKinerja) {
		this.indikatorKinerja = indikatorKinerja;
	}

	public Integer getIndikatorKinerjaId() {
		return indikatorKinerjaId;
	}

	public void setIndikatorKinerjaId(Integer indikatorKinerjaId) {
		this.indikatorKinerjaId = indikatorKinerjaId;
	}

	public Integer getBobot() {
		return bobot;
	}

	public void setBobot(Integer bobot) {
		this.bobot = bobot;
	}

	public Double getTarget() {
		return target;
	}

	public void setTarget(Double target) {
		this.target = target;
	}

	public Double getRealisasi() {
		return realisasi;
	}

	public void setRealisasi(Double realisasi) {
		this.realisasi = realisasi;
	}

	public SatuanIndikatorVO getSatuan() {
		return satuan;
	}

	public void setSatuan(SatuanIndikatorVO satuan) {
		this.satuan = satuan;
	}

	public Integer getSatuanId() {
		return satuanId;
	}

	public void setSatuanId(Integer satuanId) {
		this.satuanId = satuanId;
	}

	public Double getNilai() {
		return nilai;
	}

	public void setNilai(Double nilai) {
		this.nilai = nilai;
	}

	public Double getHasil() {
		return hasil;
	}

	public void setHasil(Double hasil) {
		this.hasil = hasil;
	}

}
